View Issue Details

IDProjectCategoryView StatusLast Update
13999Bug reports[All Projects] Survey designpublic2018-09-12 16:19
ReportertpartnerAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.14.x 
Target Version3.14.xFixed in Version3.14.x 
Summary13999: Incorrect translation in Logic File
Description

When, for example, viewing the logic file of a base-language German survey as an English admin, the question types are given in German, not the admin's preferred language. This was not the case in 2.73. See screenshots.

I think everything in the logic file except for survey texts should be in the admin's language.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.6
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12-dev
Operating System (Server)Windows 10
Webserver software & versionApache/2.4.27 (Win32) OpenSSL/1.0.2l PHP/7.1.9
PHP Version7.1.9

Activities

tpartner

tpartner

2018-08-23 14:46

developer  

capture-16.png (48,146 bytes)
capture-16.png (48,146 bytes)
capture-15.png (49,102 bytes)
capture-15.png (49,102 bytes)
guest

guest

2018-09-12 16:19

viewer   ~49018

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27934

Related Changesets

LimeSurvey: master 826b6fe9

2018-09-12 16:19:00

Dominik Vitt

Details Diff
Fixed issue 13999: Incorrect translation in Logic File
mod - application/helpers/common_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/models/Question.php Diff File

Issue History

Date Modified Username Field Change
2018-08-23 14:46 tpartner New Issue
2018-08-23 14:46 tpartner File Added: capture-16.png
2018-08-23 14:46 tpartner File Added: capture-15.png
2018-08-23 14:46 tpartner Description Updated View Revisions
2018-09-06 11:04 dominikvitt Assigned To => dominikvitt
2018-09-06 11:04 dominikvitt Status new => assigned
2018-09-12 16:19 Changeset attached => LimeSurvey master 826b6fe9
2018-09-12 16:19 guest Note Added: 49018
2018-09-12 16:19 guest Resolution open => fixed
2018-09-12 16:19 dominikvitt Status assigned => resolved
2018-09-12 16:19 dominikvitt Fixed in Version => 3.14.x